Percentile Wages

This endpoint produces a distribution of occupational earnings by percentile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Specify datarun version

Allowed:
Body Params
areas
array of strings
required

One or more FIPS codes (if geotype is fips) or ZIP codes (if geotype is zip).

areas*
classes
array of integers
required

One or more class of worker codes.

classes*
string
enum
required
length ≥ 1

Either fips for the FIPS geography taxonomy (nation/state/county) or zip for ZIP codes

Allowed:
occupations
array of strings

One or more codes from the SOC occupation taxonomy. Defaults to all occupations if not provided

occupations
percentiles
array of strings

Optional, defaults to [10, 25, 50, 75, 90]. Array of percentiles to calculate. Values should be numeric though represented as strings and in sorted order, low to high.

percentiles
string
enum
Defaults to hourly

Specify wage type.

Allowed:
integer

Earnings year to aggregate; must be one of the available years for the selected datarun. Defaults to latest year

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

The bearer token is missing, expired, or invalid. The response has no body.

403

The bearer token is valid but does not carry the occearn scope. The response has no body.

503

The coprocessors that carry out the calculation are not all running, so the service cannot answer the request. The response has no body. GET /status reports the same condition.

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain